<!--account/account_menu-->

{* //ACCOUNT - Menu *}
<nav class="accountMenu">
    <button class="accountMenuHeader hidden-md hidden-lg" type="button" data-toggle="collapse" data-target="#accountMenuBody" aria-expanded="false" aria-controls="accountMenuBody">

        {* //MENU - Burger *}
        <span class="menuBurger"></span>
        {* MENU - Burger// *}

        <div class="accountMenuTitle">
            <span class="accountMenuTitleIcon">
                {include file="icons/user.tpl"}
            </span>
            <span class="accountMenuTitleName">
                {txt value="Mon compte" key="account_menu_mon_compte"}
            </span>
        </div>
    </button>
    <div class="accountMenuBody collapse" id="accountMenuBody">
        <ul class="list-unstyled">
            <li>
                <a class="accountMenuBtn {if !empty($page) && $page == 'index'} active{/if}" href="{url page="compte"}">
                    {txt value="Accueil" key="account_menu_accueil"}
                </a>
            </li>
            <li>
                <a class="accountMenuBtn {if !empty($page) && $page == 'commande'} active{/if}" href="{url page="commande"}">
                    {txt value="Mes commandes" key="account_menu_mes_commandes"}
                </a>
            </li>
            <li>
                <a class="accountMenuBtn" href="{url page='devis_saved'}">
                    {txt value="Mes devis" key="account_menu_mes_devis"}
                </a>
            </li>
            <li>
                <a class="accountMenuBtn collapsed" role="button" data-toggle="collapse" href="#subMenuInfosPerso" aria-expanded="false" aria-controls="subMenuInfosPerso">
                    {txt value="Mes informations personnelles" key="menu_compte_mes_informations_personnelles"}
                    {*<span class="accountMenuBtnIcon">
                        {include file="icons/arrow_right_small.tpl"}
                    </span>*}
                </a>
                <ul class="subMenu list-unstyled collapse" id="subMenuInfosPerso">
                    <li>
                        <a class="{if !empty($page) && $page == 'modif_compte'} active{/if}" href="{url page="modif_compte"}">
                            {txt value="Mes informations" key="account_menu_mes_informations"}
                        </a>
                    </li>
                    <li>
                        <a class="{if !empty($page) && $page == 'modify_id'} active{/if}" href="{url page="modif_password"}">
                            {txt value="Mon mot de passe" key="account_menu_mon_mot_de_passe"}
                        </a>
                    </li>
                    <li>
                        <a class="{if !empty($page) && $page == 'adresses'} active{/if}" href="{url page="adresses"}">
                            {txt value="Carnet d'adresses" key="account_menu_carnet_adresses"}
                        </a>
                    </li>
                    <li>
                        <a class="" href="#">
                            {txt value="Mes cartes de paiements" key="account_menu_mes_cartes_de_paiements"}
                        </a>
                    </li>
                    <li>
                        <a class="" href="#">
                            {txt value="Mes notifications" key="account_menu_mes_notifications"}
                        </a>
                    </li>
                </ul>
            </li>
            <li>
                <a class="accountMenuBtn {if !empty($page) && $page == 'compte_wishlist'} active{/if}" href="{url page="compte_wishlist"}">
                    {txt value="Mes favoris" key="account_menu_mes_favoris"}
                </a>
            </li>
            <li>
                <a class="accountMenuBtn" href="#">
                    {txt value="Club Fidélité" key="account_menu_club_fidelite"}
                </a>
            </li>
            <li>
                <a class="accountMenuBtn" href="#">
                    {txt value="Parrainage" key="account_menu_parrainage"}
                </a>
            </li>
            <li>
                <a class="accountMenuBtn" href="#">
                    {txt value="Aide et contact" key="account_menu_aide_et_contact"}
                </a>
            </li>
        </ul>
    </div>
</nav>
{* ACCOUNT - Menu// *}
