(function($) {
    window.Menu = {
        expanded: false
    };

    $(document).ready(function() {
        var $window = $(window).width();
        if ($window > 1024) {
            $('.account').hover(function() {
                $(this).find('.header-account-deploy').stop(true, true).delay(10).fadeIn();
            }, function() {
                $(this).find('.header-account-deploy').stop(true, true).delay(300).fadeOut();
            });

            $('.cart').hover(function() {
                $(this).find('.header-cart-deploy').stop(true, true).delay(10).fadeIn();
            }, function() {
                $(this).find('.header-cart-deploy').stop(true, true).delay(300).fadeOut();
            });
        } else if (($window <= 1024) && ($window > 480)) {
            $( "header .account" ).click(function( event ) {
                event.preventDefault();
                $('.header-cart-deploy').stop(true, true).fadeOut();
                $(this).find('.header-account-deploy').stop(true, true).toggle();
            });

            $( "header .cart" ).click(function( event ) {
                event.preventDefault();
                $('.header-account-deploy').stop(true, true).fadeOut();
                $(this).find('.header-cart-deploy').stop(true, true).toggle();
            });
        }
        /*
        $(".dropdown").on("click", function(e) {
            return;
        });
        */
        $(".dropdown").hover(function() {
            //$(this).trigger('click');
            var $that = $(this);
            $('.dropdown-menu', this).stop().fadeIn({
                duration: 100,
                complete: function() {
                    $that.addClass('megamenu-open');
                }
            });
        },
        function() {
            $('.dropdown-menu', this).stop().fadeOut("fast");
            $(this).removeClass('megamenu-open');
        });

        $('.carousel-slick').slick({
            //centerMode: true,
            //centerPadding: '60px',
            slidesToShow: 6,
            slidesToScroll: 6,
            dots: true,
            //mobileFirst: true,
            responsive: [
                {
                    breakpoint: 769,
                    settings: {
                        arrows: false,
                        dots: true,
                        //centerMode: true,
                        centerPadding: '40px',
                        slidesToShow: 3,
                        slidesToScroll: 3
                    }
                },
                {
                    breakpoint: 481,
                    settings: {
                        infinite: false,
                        arrows: true,
                        dots: false,
                        //centerMode: true,
                        centerPadding: '10px',
                        slidesToShow: 2,
                        slidesToScroll: 2
                    }
                }
            ]
        });

        $('.carousel-slick-categories').slick({
            //centerMode: true,
            centerPadding: '60px',
            slidesToShow: 4,
            slidesToScroll: 4,
            dots: true,
            //mobileFirst: true,
            responsive: [
                {
                    breakpoint: 769,
                    settings: {
                        arrows: false,
                        dots: true,
                        //centerMode: true,
                        centerPadding: '40px',
                        slidesToShow: 3,
                        slidesToScroll: 3
                    }
                },
                {
                    breakpoint: 481,
                    settings: {
                        infinite: false,
                        arrows: true,
                        dots: false,
                        centerMode: true,
                        centerPadding: '35px',
                        slidesToShow: 1
                    }
                }
            ]
        });

        $('.carousel-promos').slick({
            slidesToShow: 1,
            dots: true,
            arrows: false,
            autoplay: true,
            responsive: [
                {
                    breakpoint: 481,
                    settings: {
                        arrows: true,
                        dots: false,
                        centerMode: true,
                        centerPadding: '0',
                        slidesToShow: 1
                    }
                }
            ]
        });

        //$('#menu-mobile').multilevelpushmenu({
        //    collapsed: true,
        //    fullCollapse: true,
        //    mode: 'cover',
        //    direction: 'ltr',
        //    groupIcon: 'fa fa-angle-right arrow-next',
        //    backItemIcon: 'fa fa-angle-left',
        //    menuID: 'mobile-push-menu',
        //    containersToPush: [
        //        $( 'body > footer' ),
        //        $('body > div:not(#menu-mobile)')
        //    ],
        //    menuHeight: '100%',
        //    menuWidth: '75%',
        //    backText: 'Retour',
        //    onCollapseMenuEnd: function() {
        //        window.Menu.expanded = false;
        //    }
        //});
        //
        //$('#mobile-menu-toggle').on('click', function() {
        //    if (window.Menu.expanded) {
        //        console.log('menu expanded');
        //        $('#menu-mobile').multilevelpushmenu('collapse');
        //        window.Menu.expanded = false;
        //    } else {
        //        console.log('menu not expanded');
        //        $('#menu-mobile').multilevelpushmenu('expand');
        //        window.Menu.expanded = true;
        //    }
        //});

        $(".touchspin").TouchSpin({
            verticalbuttons: true,
            verticalupclass: 'fa fa-plus',
            verticaldownclass: 'fa fa-minus'
        });

        $('.nstSlider').nstSlider({
            "crossable_handles": false,
            "left_grip_selector": ".leftGrip",
            "right_grip_selector": ".rightGrip",
            "value_bar_selector": ".bar",
            "value_changed_callback": function(cause, leftValue, rightValue) {
                var $container = $(this).parent();
                $container.find('.leftLabel').text(leftValue + ' €');
                $container.find('.rightLabel').text(rightValue + ' €');
            },
            "user_mouseup_callback": function(vmin, vmax, left_grip_moved) {
                $('form#prix_range > input[name="prix_min"]').val(vmin);
                $('form#prix_range > input[name="prix_max"]').val(vmax);
                $('form#prix_range').submit();
            }
        });

        $('[data-tooltip]').tooltip();

        $('#product-tablist').tabCollapse();

        if ($(window).width() < 481)
        {
            $(".account-panel").attr('id','scroll-down');
            function scrollToElement( target ) {
                if ($(target).get(0) == undefined) return;
                var topoffset = 30;
                var speed = 1500;
                var destination = jQuery( target ).offset().top - topoffset;
                jQuery( 'html:not(:animated),body:not(:animated)' ).animate( { scrollTop: destination}, speed, function() {
                    window.location.hash = target;
                });
                return false;
            }
            window.onload = scrollToElement('#scroll-down');
        }

        $("#menu-mobile").mmenu({

        }, {

        });

				//auto submit code for address_book select address
				$("#address-book-address-select").on('change', function() {
					$("#address-book-address-select-form").submit();
				});
    });
})(jQuery);
