<article class="product">
    <form id="add-panier" name="add-panier-{$p.produit_id}" action="{url page="add_cart"}" method="post">
        <input type="hidden" name="action" value="add" />
        <input type="hidden" name="produit_id" value="{$p.produit_id}" />
        <input type="hidden" name="produit_attribut_id" value="{$p.produit_attribut_id}" />
        {if ($gamme_flash_sales_id == $p.gamme_id && $p.promo|intval > 0) || $p.etiquette_id == $etiquette_flash_sales_id}
            <div class="flash-sale flash-sale-info" rel="{$p.produit_prix_barre_date_fin}">
                <div class="title">{$p.etiquette_nom_nom}</div>
            </div>
        {/if}
        <div class="image">
            {image src=$p.produit_image alt=$p.produit_nom_nom width=320 height=440}
            <span class="hover-info">
                <span class="transparent-bg"></span>
                <a href="{url page="produit" produit_nom=$p.produit_nom_nom id=$p.produit_id}" class="button more-details"><i class="fa fa-search"></i>{txt value='Plus de détails'}</a>
            </span>
        </div>
        <div class="info">
            <div class="product-title">
                {$p.produit_nom_nom}
            </div>
            <div class="price">
                {price ht=$p.attribut_produit_prix_ht ttc=$p.attribut_produit_prix_ttc}
            </div>
            {if $p.promo|intval > 0}
                <div class="old-price">
                    {price ttc=$p.attribut_prix_ttc}
                </div>
            {/if}

            <span class="hover-info">
                <span class="red-corner-overlay"></span>
                <a href="{url page="produit" produit_nom=$p.produit_nom_nom id=$p.produit_id}" class="button btn order-button add-panier">{txt value='Commander'}</a>
                <!--<button type="submit" class="button btn order-button add-panier" data-form="add-panier-{$p.produit_id}" title="{txt value="Commander"}">{txt value="Commander"}</button>-->
            </span>
        </div>
    </form>
</article>
