/* MAIN.JS */
$(document).ready(function(){

    // ------------------------------------------------------=> FORMS
    //Input File
    var fileInput = $('.file');
    $(fileInput).change(function () {
        $this = $(this);
        $nameFile = $($this).val().replace(/C:\\fakepath\\/i, '');
        $this.closest('.wrapInputfile').find('.customInputFile input').attr("value", $nameFile);
    });

    //FLOAT LABEL
    floatLabel();

    // => RATY
    var ratySite = '/default';
    if ($('.raty')) {
        $('.raty').raty({
            path        : ratySite + '/images',
            half        : true,
            starHalf    : 'star-half.png',
            starOff     : 'star-off.png',
            starOn      : 'star-on.png',
            score: function() {
                return $(this).attr('data-score');
            },
            readOnly: function() {
                return $(this).attr('data-readonly');
            }
        });
    }

    //Sous-menu Header compte et panier
    $('.wrapHeaderTopAccount').on('mouseenter', function () {
        $(this).addClass('active');
    }).on('mouseleave', function (e) {
        if (e.relatedTarget != null) {
            $(this).removeClass('active');
        }
    });
    $('.wrapHeaderTopCart').on('mouseenter', function () {
        $(this).addClass('active');
    }).on('mouseleave', function (e) {
        if (e.relatedTarget != null) {
            $(this).removeClass('active');
        }
    });

    // ------------------------------------------------------=> BOOTSTRAP TOOLTIPS
    $(function () {
        $('[data-toggle="tooltip"]').tooltip();
    });

    //  ------------------------------------------------------=> MAIN MENU
    $('.pictoMenu').click(function(e){
        e.preventDefault();
        $('body').toggleClass('openSidebar');
    });
    $('#wrapSiteHide').click(function(e){
        $('body').removeClass('openSidebar');
    });

    var rootMenu = '.menu li';
    $(rootMenu).each(function(){
        if($(this).has("ul").length){
            $(this).addClass('hadSubMenu');
        }
    });
    $('.hadSubMenu div a.arrowR').click(function(e){
        e.preventDefault();
        if(!$(this).parent().parent().hasClass('fold')) {
            $(this).parent().parent().children('ul').addClass("open");
            $(this).parent().parent().children('ul').addClass("open");
        }
    });
    $('.hadSubMenu.fold > div .arrowR').click(function(e){
        e.preventDefault();
        $(this).toggleClass('unfold');
        var parentFold = $(this).parent().parent().children('ul');
        if(parentFold.hasClass("openFold")) {
            parentFold.removeClass("openFold").addClass('openUnfold');
        }else{
            parentFold.addClass("openFold").removeClass("openUnfold");
        }
    });
    $('.backMenu a').click(function(e){
        e.preventDefault();
        if($(this).hasClass('navHome')) {
            $('nav.menu').css({
                height: '100%',
                bottom: 0
            });
        }
        $(this).parent().parent().removeClass('open');
        //console.log();
    });

    if(window.matchMedia("(width: 1024px)").matches) {
        /*
            Désactivation du click pour tablette sur le premier niveau de menu pour afficher le menu déroulant
            Effectif que pour le format 1024px
        */
        $('.firstLevel > div > a').on('click', function(e){
            e.preventDefault();
        });
    }

    // ===================ANCHOR LINKS SMOOTHSCROLL
    jQuery(document).on('click', "a.smoothscroll", function(e){
        e.preventDefault();
        smoothScroll(this);
    });


    //------------------------------------------=> Boostrap accordion collapse add class active
    jQuery(".panel-group .panel-default").each(function(){
        var collapseLink = jQuery(this).find('.deliveryLabel');
        var thisPanel = jQuery(this);
        var others = jQuery(".panel-group .panel-default").not(this);
        jQuery(collapseLink).on('click', function () {
            thisPanel.addClass('active');
            others.removeClass('active');
        });
    });


});

$(window).load(function(){
    setTimeout(function () {
        if (navigator.userAgent.search("Chrome") >= 0) {
            jQuery('input.floatLabelInput:-webkit-autofill').addClass('active');
        }
    },500);
});

var smoothScroll = function (link) {
    var target = jQuery("#" + jQuery(link).attr("href").split("#")[1]);
    if(target.length > 0){
        jQuery('html, body').animate({scrollTop: target.offset().top - 250}, 500);
    }
};


//  ------------------------------------------------------=> FORMS FLOATING LABELS
function floatLabel() {
    jQuery('.floatLabelInput').each(function(){
        if(!jQuery(this).val().length == 0 || !jQuery(this).attr('placeholder') == 0) {
            jQuery(this).addClass('active');
        }else{
            jQuery(this).removeClass('active');
        }
    });
    jQuery(document).on('click', '.floatLabel', function(){
        var $this = jQuery(this),
            $this_floatLabelInput = $this.prev('.floatLabelInput');
        if($this.find('.active').length == 0) {
            $this_floatLabelInput.addClass('active');
        } else {
            $this_floatLabelInput.removeClass('active');
        }
    });
    jQuery(document).on('blur', '.floatLabelInput', function(){
        if(!jQuery(this).val().length == 0 || !jQuery(this).attr('placeholder') == 0) {
            jQuery(this).addClass('active');
        } else {
            jQuery(this).removeClass('active');
        }
    });
}

