
{extends file='layout/layout.tpl'}
{block name='content'}
    <div class="account">
        <div class="container">
            {Breadcrumb::getInstance()->render()}
            {include file="account/top-account.tpl"}

            <div class="account-menu">
                {include file="account/aside.tpl" page="history"}
            </div>

            <div class="account-panel history">
                <h1 class="bottom-grey-border">historique de mes commandes</h1>
                    <table id="commandes" class="table table-responsive">
                        <tr class="head">
                            <th class="command-id-head">{txt value="N&deg; commande"}</th>
                            <th class="txt-center">{txt value="Date"}</th>
                            <th class="txt-center">{txt value="Statut"}</th>
                            <th class="txt-center">{txt value="Prix TTC"}</th>
                            <th class="txt-center">{txt value="Détails"}</th>
                        </tr>
                        {foreach $commandes as $cmd}
                            <tr>
                                <td class="command-id"><a href="{url page="commande_details" id=$cmd.commande_id}">{$cmd.commande_id}</a></td>
                                <td>{$cmd.commande_date_ajout|date_format:"%d/%m/%Y"}</td>
                                <td>{$cmd.commande_statut_nom_nom}</td>
                                <td class="price">{price ttc=$cmd.total_ttc ht=$cmd.total_ht}</td>
                                <td class="details">
                                    <a href="{url page="commande_details" id=$cmd.commande_id}"></a>
                                </td>
                            </tr>
                        {foreachelse}
                            <tr>
                                <td colspan="6">{txt value="Aucune commande."}</td>
                            </tr>
                        {/foreach}
                    </table>
            </div>
        </div>
    </div>
{/block}
